Bug 862759 - [abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by signal 6 (SIGABRT)
[abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:43750cc1b6487ccd191bd4c2642...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 09:26 EDT by Mark P.
Modified: 2013-08-01 08:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.52 KB, text/plain)
2012-10-03 09:26 EDT, Mark P.
no flags Details
File: environ (1.64 KB, text/plain)
2012-10-03 09:26 EDT, Mark P.
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-03 09:26 EDT, Mark P.
no flags Details
File: backtrace (45.60 KB, text/plain)
2012-10-03 09:26 EDT, Mark P.
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details
File: maps (46.47 KB, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details
File: dso_list (7.17 KB, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details
File: build_ids (2.68 KB, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details
File: var_log_messages (1.09 KB, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details
File: open_fds (460 bytes, text/plain)
2012-10-03 09:27 EDT, Mark P.
no flags Details

  None (edit)
Description Mark P. 2012-10-03 09:26:47 EDT
Description of problem:
Save RAW-Picture as JPG-File.

Version-Release number of selected component:
rawtherapee-4.0.9-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/rawtherapee
crash_function: rtengine::ImProcFunctions::firstAnalysis
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (7 frames)
: #4 rtengine::ImProcFunctions::firstAnalysis at /usr/src/debug/rawtherapee-4.0.9/rtengine/improcfun.cc:189
: #5 rtengine::processImage at /usr/src/debug/rawtherapee-4.0.9/rtengine/simpleprocess.cc:113
: #6 emit at /usr/include/sigc++-2.0/sigc++/signal.h:687
: #8 ProgressConnector<rtengine::IImage16*>::workingThread at /usr/src/debug/rawtherapee-4.0.9/rtgui/progressconnector.h:78
: #9 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
: #10 (anonymous namespace)::call_thread_entry_slot at thread.cc:52
: #11 g_thread_proxy at gthread.c:801
Comment 1 Mark P. 2012-10-03 09:26:50 EDT
Created attachment 620876 [details]
File: core_backtrace
Comment 2 Mark P. 2012-10-03 09:26:52 EDT
Created attachment 620877 [details]
File: environ
Comment 3 Mark P. 2012-10-03 09:26:54 EDT
Created attachment 620878 [details]
File: limits
Comment 4 Mark P. 2012-10-03 09:26:57 EDT
Created attachment 620879 [details]
File: backtrace
Comment 5 Mark P. 2012-10-03 09:27:00 EDT
Created attachment 620880 [details]
File: cgroup
Comment 6 Mark P. 2012-10-03 09:27:03 EDT
Created attachment 620881 [details]
File: maps
Comment 7 Mark P. 2012-10-03 09:27:05 EDT
Created attachment 620882 [details]
File: dso_list
Comment 8 Mark P. 2012-10-03 09:27:07 EDT
Created attachment 620883 [details]
File: build_ids
Comment 9 Mark P. 2012-10-03 09:27:10 EDT
Created attachment 620884 [details]
File: var_log_messages
Comment 10 Mark P. 2012-10-03 09:27:12 EDT
Created attachment 620885 [details]
File: open_fds
Comment 11 aten 2012-10-27 17:38:25 EDT
tried to save an image as jpeg file.

backtrace_rating: 4
Package: rawtherapee-4.0.9-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Dan 2012-11-16 14:05:35 EST
Saving a Sony RAW (ARW) file to 8-bit PNG.

backtrace_rating: 4
Package: rawtherapee-4.0.9-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Fedora End Of Life 2013-07-04 00:00:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 08:26:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.